Results 1 to 9 of 9

Thread: Updater Applet not Updating

  1. #1
    Join Date
    Nov 2009
    Location
    /..
    Posts
    52

    Default Updater Applet not Updating

    I installed openSUSE 11.4 last week and found that the updater applet isn't doing what it's designed to do: update. It'll tell me that I have 7 updates, I'll click on it, and it'll open a window with more details. The only problem is that when I click apply, it refreshes the repository list and tells me 5 minutes later that I have 7 updates (the same 7 updates). This continues on and on until I eventually run a zypper dup to update. Is anyone else experiencing this or is it just me?
    Linux motto: Here's the computer, just do stuff
    Dell Latitude D630: Core 2 Duo 2.00 GHz, 2GB RAM, 80 GB HDD, openSUSE 11.4, Windows Vista
    Weird people have all the fun

  2. #2
    Join Date
    Nov 2009
    Location
    /..
    Posts
    52

    Default Re: Updater Applet not Updating

    I am running KDE by the way
    Linux motto: Here's the computer, just do stuff
    Dell Latitude D630: Core 2 Duo 2.00 GHz, 2GB RAM, 80 GB HDD, openSUSE 11.4, Windows Vista
    Weird people have all the fun

  3. #3
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Updater Applet not Updating

    Quote Originally Posted by camper365 View Post
    I am running KDE by the way
    Indeed, the updater applet is driven by Kpackagekit which throws up an error on mine and others when the first update (packman packages) occurs. There is another forum post detailing the error message (e.g. search on kpackagekit), and mentioning a bug report (IIRC).

    Here, the applet disappeared from the system tray, but the error shows up when I go to (KDE) System Settings>Software Management>Updater (or something like that, as I'm not posting this from 11.4). Since that, I use Yast>Online Update or Yast>Software Management to perform the updates.

  4. #4

    Default Re: Updater Applet not Updating

    another issue iirc is that the packagekit daemon and yast sw manager don't/can't co-exist

    miss 11.2 when there was a functioning zypper backend for the update applet (at least I think it was functioning), know it didn't work in 11.3 as the packagekit backend only displayed patches not updates
    openSUSE Leap 42.1 x64, Plasma 5 & KDE 4.14.x, pretty current proprietary Nvidia drivers (self-compiled)

  5. #5
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Updater Applet not Updating

    Quote Originally Posted by google01103 View Post
    miss 11.2 when there was a functioning zypper backend for the update applet (at least I think it was functioning), know it didn't work in 11.3 as the packagekit backend only displayed patches not updates
    AFAIK, 11.2 and 11.3 only displayed openSUSE package updates from the Update repo. This didn't include packman updates and openSUSE application packages(rarely updated between distro releases). Anyway 11.2 & 11.3 updater applets are still working here.

  6. #6
    Join Date
    Aug 2010
    Location
    Linden, NJ, USA
    Posts
    39

    Default Re: Updater Applet not Updating

    I've been noticing something else with KPackageKit - it doesn't seem to respect repositories. I have the openSUSE:Education community repository enabled, and this is the second or third time now that KPackageKit wants to install an update from that repository in my test install of 11.4. Unfortunately, the original packages weren't installed from Education! I don't think I have any packages installed from there on this instance of 11.4. For example, just now it wants to update gfxboot to a newer copy available in Education, but YaST (to the best of my knowledge, correctly) shows that my current package is installed from "vendor openSUSE" (the default install). Has anyone else noticed this (meaning I should figure out how to submit a bug report) or as a Linux newbie is it just me?

  7. #7

    Default Re: Updater Applet not Updating

    Apparently there is not a fix for this issue yet. I myself was unhappy to see Update Applet go away in favor of KPackagekit because IMO, if it ain't broke, don't fix it! I know this was supposed to help with refreshing repositories but... anyway.

    Here is an alternate way to setup automatic updates which is in beta as I am typing this because I'll have to wait a day or so to see if it will work properly:

    Of course you all know that you can manually update through YaST. Well, go to YaST>>Software>>Online Update>>Configuration>>Online Update and enable Automatic Online Update. It might ask you for permission to add a small package in order to do this.

    As far as I can tell, this will put YaST in charge of checking for updates but like I said, since I have already manually updated today, I'll have to wait and make sure this works. I would also recommend disabling KPackagekit from checking or installing anything on its own to make sure it doesn't mess up any package or repository lists.

    Will come back and report in as soon as I soon as I confirm this method.

    Peace!

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,872
    Blog Entries
    3

    Default Re: Updater Applet not Updating

    Quote Originally Posted by Whiplash02 View Post
    I would also recommend disabling KPackagekit from checking or installing anything on its own to make sure it doesn't mess up any package or repository lists.
    I disabled KPackageKit about 2 weeks ago. I did that in
    Personal Settings --> Startup and Shutdown --> Service Manager

    where I removed the check for the KPackageKit service.

    I did this, mainly because of the way it interfered with Yast software management (not to mention its annoying bugs).

    Every few days, I manually start KPackageKit via the application launcher, or I manually do an online update via Yast.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  9. #9
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Updater Applet not Updating

    Quote Originally Posted by nrickert View Post
    I disabled KPackageKit about 2 weeks ago. I did that in
    Personal Settings --> Startup and Shutdown --> Service Manager

    where I removed the check for the KPackageKit service.
    eeds
    I did this, mainly because of the way it interfered with Yast software management (not to mention its annoying bugs).
    I did that on one of my systems some time back, when KPackageKit was annoying. I retained it on a couple of others, and it seems to have settled down. For example, I find it's useful for checking for those very frequent updates on my Tumbleweed system, although I don't use KPackageKit to perform the updates.

    I also notice that if there is a conflict with KPackageKit when I run YaST Software Mangement, I get a message from YaST about asking KPackageKit to quit the process and when I agree, KPackageKit gives up and YaST continues to access the repos. That all seems fine for my purposes.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •